## doomsday 1.10.4

=== snowberry/apidoc/Makefile ===
html: Doxyfile $(wildcard ../*.py)
	doxygen

clean:
	rm -rf html/

=== doomsday/external/fluidsynth/CMakeLists.txt ===
# FluidSynth - A Software Synthesizer
#
# Copyright (C) 2003-2011 Peter Hanappe and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License
# as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307, USA

# CMake based build system. Pedro Lopez-Cabanillas <plcl@users.sf.net>

project ( FluidSynth C )
cmake_minimum_required ( VERSION 2.6.3 )
set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake_admin )

# FluidSynth package name
set ( PACKAGE "fluidsynth" )

# FluidSynth package version
set ( FLUIDSYNTH_VERSION_MAJOR 1 )
set ( FLUIDSYNTH_VERSION_MINOR 1 )
set ( FLUIDSYNTH_VERSION_MICRO 5 )
set ( VERSION "${FLUIDSYNTH_VERSION_MAJOR}.${FLUIDSYNTH_VERSION_MINOR}.${FLUIDSYNTH_VERSION_MICRO}" )
set ( FLUIDSYNTH_VERSION "\"${VERSION}\"" )

# libfluidsynth - Library version
# *** NOTICE ***
# Update library version upon each release (follow these steps in order)
# if any source code changes: REVISION++
# if any interfaces added/removed/changed: REVISION=0
# if any interfaces removed/changed (compatibility broken): CURRENT++
# if any interfaces have been added: AGE++
# if any interfaces have been removed/changed (compatibility broken): AGE=0
# This is not exactly the same algorithm as the libtool one, but the results are the same.
set ( LIB_VERSION_CURRENT 1 )
set ( LIB_VERSION_AGE 5 )
set ( LIB_VERSION_REVISION 1 )
set ( LIB_VERSION_INFO
      "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )

# Options disabled by default
option ( enable-floats "enable type float instead of double for DSP samples" off )
option ( enable-profiling "profile the dsp code" off )
option ( enable-ladspa "enable LADSPA effect units" off )
option ( enable-portaudio "compile PortAudio support" off )
option ( enable-trap-on-fpe "enable SIGFPE trap on Floating Point Exceptions" off )
option ( enable-fpe-check "enable Floating Point Exception checks and debug messages" off )
option ( enable-debug "enable debugging (default=no)" off )

# Options enabled by default
option ( enable-libsndfile "compile libsndfile support (if it is available)" on )
option ( enable-aufile "compile support for sound file output" on )
option ( enable-pulseaudio "compile PulseAudio support (if it is available)" on )
option ( enable-jack "compile JACK support (if it is available)" on )
option ( enable-midishare "compile MidiShare support (if it is available)" on )
option ( enable-readline "compile readline lib line editing (if it is available)" on )
option ( enable-dbus "compile DBUS support (if it is available)" on )
option ( BUILD_SHARED_LIBS "Build a shared object or DLL" on )

# Platform specific options
if ( ${CMAKE_SYSTEM} MATCHES "Linux" )
    option ( enable-ladcca "compile LADCCA support if it is available (deprecated)" off )
    option ( enable-lash "compile LASH support (if it is available)" on )
    option ( enable-alsa "compile ALSA support (if it is available)" on )
endif ( ${CMAKE_SYSTEM} MATCHES "Linux" )

if ( ${CMAKE_SYSTEM} MATCHES "Darwin" )
    option ( enable-coreaudio "compile CoreAudio support (if it is available)" on )
    option ( enable-coremidi "compile CoreMIDI support (if it is available)" on )
    option ( enable-framework "create a Mac OSX style FluidSynth.framework" on )
endif ( ${CMAKE_SYSTEM} MATCHES "Darwin" )

if ( ${CMAKE_SYSTEM} MATCHES "OS2" )
    option ( enable-dart "compile DART support (if it is available)" on )
endif ( ${CMAKE_SYSTEM} MATCHES "OS2" )

# Initialize the library directory name suffix.
if ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "64" )
else ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "" )
endif ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
set ( LIB_SUFFIX ${_init_lib_suffix} CACHE STRING
      "library directory name suffix (32/64/nothing)" )
mark_as_advanced ( LIB_SUFFIX )

# Default install directory names
include ( DefaultDirs )

# Basic C library checks
include ( CheckSTDC )
include ( CheckIncludeFile )
check_include_file ( string.h HAVE_STRING_H )
check_include_file ( stdlib.h HAVE_STDLIB_H )
check_include_file ( stdio.h HAVE_STDIO_H )
check_include_file ( math.h HAVE_MATH_H )
check_include_file ( errno.h HAVE_ERRNO_H )
check_include_file ( stdarg.h HAVE_STDARG_H )
check_include_file ( unistd.h HAVE_UNISTD_H )
check_include_file ( memory.h HAVE_MEMORY_H )
check_include_file ( sys/mman.h HAVE_SYS_MMAN_H )
check_include_file ( sys/types.h HAVE_SYS_TYPES_H )
check_include_file ( sys/time.h HAVE_SYS_TIME_H )
check_include_file ( sys/stat.h HAVE_SYS_STAT_H )
check_include_file ( sys/ioctl.h HAVE_SYS_IOCTL_H )
check_include_file ( fcntl.h HAVE_FCNTL_H )
check_include_file ( sys/socket.h HAVE_SYS_SOCKET_H )
check_include_file ( netinet/in.h HAVE_NETINET_IN_H )
check_include_file ( netinet/tcp.h HAVE_NETINET_TCP_H )
check_include_file ( arpa/inet.h HAVE_ARPA_INET_H )
check_include_file ( limits.h  HAVE_LIMITS_H )
check_include_file ( pthread.h HAVE_PTHREAD_H )
check_include_file ( signal.h HAVE_SIGNAL_H )
include ( TestInline )
include ( TestVLA )
include ( TestBigEndian )
test_big_endian ( WORDS_BIGENDIAN )

unset ( LIBFLUID_CPPFLAGS CACHE )
unset ( LIBFLUID_LIBS CACHE )
unset ( FLUID_CPPFLAGS CACHE )
unset ( FLUID_LIBS CACHE )

# Options for the GNU C compiler only
if ( CMAKE_COMPILER_IS_GNUCC )
  if ( NOT APPLE AND NOT OS2 )
    set ( CMAKE_EXE_LINKER_FLAGS
          "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
    set ( CMAKE_SHARED_LINKER_FLAGS
          "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
  endif ( NOT APPLE AND NOT OS2 )
  set ( GNUCC_WARNING_FLAGS "-Wall -W -Wpointer-arith -Wbad-function-cast -Wno-cast-qual -Wcast-align -Wstrict-prototypes -Wno-unused-parameter -Wdeclaration-after-statement" )
  set ( CMAKE_C_FLAGS_DEBUG "-g -DDEBUG ${GNUCC_WARNING_FLAGS}" )
  set ( CMAKE_C_FLAGS_RELEASE "-O2 -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
  set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
endif ( CMAKE_COMPILER_IS_GNUCC )

# Windows
unset ( WINDOWS_SUPPORT CACHE )
unset ( WINDOWS_LIBS CACHE )
unset ( MINGW32 CACHE )
if ( WIN32 )
  include ( CheckIncludeFiles )
  check_include_file ( windows.h HAVE_WINDOWS_H )
  check_include_file ( io.h HAVE_IO_H )
  check_include_file ( dsound.h HAVE_DSOUND_H )
  check_include_files ( "windows.h;mmsystem.h" HAVE_MMSYSTEM_H )
  set ( WINDOWS_SUPPORT ${HAVE_WINDOWS_H} )
  set ( WINDOWS_LIBS "dsound;winmm;ws2_32" )
  set ( LIBFLUID_CPPFLAGS "-DFLUIDSYNTH_DLL_EXPORTS" )
  set ( FLUID_CPPFLAGS "-DFLUIDSYNTH_NOT_A_DLL" )
  set ( CMAKE_DEBUG_POSTFIX "_debug" )
  # MinGW compiler (a Windows GCC port)
  if ( MINGW )
    set ( MINGW32 1 )
    add_definitions ( -mms-bitfields )
  endif  ( MINGW )
else ( WIN32 )
# Check PThreads, but not in Windows
  find_package ( Pthreads REQUIRED )
  set ( HAVE_LIBPTHREAD ${PTHREADS_FOUND} )
  set ( LIBFLUID_LIBS "m" )
endif ( WIN32 )

# IBM OS/2
unset ( DART_SUPPORT CACHE )
unset ( DART_LIBS CACHE )
unset ( DART_INCLUDE_DIRS CACHE )
if ( ${CMAKE_SYSTEM} MATCHES "OS2" )
  set ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Zbin-files" )
  set ( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Zbin-files" )
  if ( enable-dart )
    check_include_file ( os2me.h HAVE_DART_H )
    set ( DART_SUPPORT ${HAVE_DART_H} )
    unset ( DART_INCLUDE_DIRS CACHE )
  endif ( enable-dart )
endif ( ${CMAKE_SYSTEM} MATCHES "OS2" )

# Solaris / SunOS
if ( ${CMAKE_SYSTEM} MATCHES "SunOS" )
  set ( FLUID_LIBS "${FLUID_LIBS};nsl;socket" )
  set ( LIBFLUID_LIBS "${LIBFLUID_LIBS};nsl;socket" )
endif ( ${CMAKE_SYSTEM} MATCHES "SunOS" )

# Apple Mac OSX
unset ( COREAUDIO_SUPPORT CACHE )
unset ( COREAUDIO_LIBS CACHE )
unset ( COREMIDI_SUPPORT CACHE )
unset ( COREMIDI_LIBS CACHE )
unset ( DARWIN CACHE )
unset ( MACOSX_FRAMEWORK CACHE )
if ( ${CMAKE_SYSTEM} MATCHES "Darwin" )
  set ( DARWIN 1 )
  set ( CMAKE_INSTALL_NAME_DIR
        ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}${LIB_SUFFIX} )
  if ( enable-coreaudio )
    check_include_file ( CoreAudio/AudioHardware.h COREAUDIO_FOUND )
    if ( COREAUDIO_FOUND )
      set ( COREAUDIO_SUPPORT ${COREAUDIO_FOUND} )
      set ( COREAUDIO_LIBS "-Wl,-framework,CoreAudio,-framework,AudioUnit" )
    endif ( COREAUDIO_FOUND )
  endif ( enable-coreaudio )
  if ( enable-coremidi )
    check_include_file ( CoreMIDI/MIDIServices.h COREMIDI_FOUND )
    if ( COREMIDI_FOUND )
      set ( COREMIDI_SUPPORT ${COREMIDI_FOUND} )
      set ( COREMIDI_LIBS "-Wl,-framework,CoreMIDI,-framework,CoreServices" )
    endif ( COREMIDI_FOUND )
  endif ( enable-coremidi )
  if ( enable-framework )
    set ( MACOSX_FRAMEWORK 1 )
  endif ( enable-framework )
endif ( ${CMAKE_SYSTEM} MATCHES "Darwin" )

unset ( WITH_FLOAT CACHE )
if ( enable-floats )
    set ( WITH_FLOAT 1 )
endif ( enable-floats )

unset ( WITH_PROFILING CACHE )
if ( enable-profiling )
    set ( WITH_PROFILING 1 )
endif ( enable-profiling )

unset ( HAVE_LIBDL CACHE )
unset ( LADSPA_SUPPORT CACHE )
if ( enable-ladspa )
  check_include_file ( ladspa.h LADSPA_SUPPORT )
  if ( LADSPA_SUPPORT )
    set ( LADSPA 1 )
    if ( CMAKE_DL_LIBS )
      set ( HAVE_LIBDL 1 )
      set ( LIBFLUID_LIBS "${LIBFLUID_LIBS};${CMAKE_DL_LIBS}" )
    endif ( CMAKE_DL_LIBS )
  endif ( LADSPA_SUPPORT )
endif ( enable-ladspa )

unset ( ENABLE_TRAPONFPE CACHE )
unset ( TRAP_ON_FPE CACHE )
if ( enable-trap-on-fpe AND NOT APPLE AND NOT WIN32 )
    set ( ENABLE_TRAPONFPE 1 )
    set ( TRAP_ON_FPE 1 )
endif ( enable-trap-on-fpe AND NOT APPLE AND NOT WIN32 )

unset ( ENABLE_FPECHECK CACHE )
unset ( FPE_CHECK CACHE )
if ( enable-fpe-check )
    set ( ENABLE_FPECHECK 1 )
    set ( FPE_CHECK 1 )
endif ( enable-fpe-check )

if ( enable-debug )
    set ( CMAKE_BUILD_TYPE "Debug" CACHE STRING
          "Choose the build type, options: Debug Release RelWithDebInfo" FORCE )
endif ( enable-debug )

unset ( ENABLE_DEBUG CACHE )
unset ( DEBUG CACHE )
if ( CMAKE_BUILD_TYPE MATCHES "Debug" )
    set ( ENABLE_DEBUG 1 )
    set ( DEBUG 1 )
endif ( CMAKE_BUILD_TYPE MATCHES "Debug" )

# Mandatory tool: pkg-config
find_package ( PkgConfig REQUIRED )

# Mandatory libraries: glib and gthread
pkg_check_modules ( GLIB REQUIRED glib-2.0>=2.6.5 gthread-2.0>=2.6.5 )

include ( UnsetPkgConfig )

# Optional features
unset ( LIBSNDFILE_SUPPORT CACHE )
unset ( LIBSNDFILE_HASVORBIS CACHE )
if ( enable-libsndfile )
  pkg_check_modules ( LIBSNDFILE sndfile>=1.0.0 )
  set ( LIBSNDFILE_SUPPORT ${LIBSNDFILE_FOUND} )
  if ( LIBSNDFILE_SUPPORT )
    pkg_check_modules ( LIBSNDFILE_VORBIS sndfile>=1.0.18 )
    set ( LIBSNDFILE_HASVORBIS ${LIBSNDFILE_VORBIS_FOUND} )
  endif ( LIBSNDFILE_SUPPORT )
else ( enable-libsndfile )
  unset_pkg_config ( LIBSNDFILE )
  unset_pkg_config ( LIBSNDFILE_VORBIS )
endif ( enable-libsndfile )

unset ( AUFILE_SUPPORT CACHE )
if ( enable-aufile )
  set ( AUFILE_SUPPORT 1 )
endif ( enable-aufile )

unset ( PULSE_SUPPORT CACHE )
if ( enable-pulseaudio )
  pkg_check_modules ( PULSE libpulse-simple>=0.9.8 )
  set ( PULSE_SUPPORT ${PULSE_FOUND} )
else ( enable-pulseaudio )
  unset_pkg_config ( PULSE )
endif ( enable-pulseaudio )

unset ( ALSA_SUPPORT CACHE )
if ( enable-alsa )
  pkg_check_modules ( ALSA alsa>=0.9.1 )
  set ( ALSA_SUPPORT ${ALSA_FOUND} )
else ( enable-alsa )
  unset_pkg_config ( ALSA )
endif ( enable-alsa )

unset ( PORTAUDIO_SUPPORT CACHE )
if ( enable-portaudio )

=== debian/changelog ===
doomsday (1.10.4-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Add rudimentary support for PWAD files in doomsday-compat
    to allow for loading hexdd via a desktop file.
  * Add separate game modes for Freedoom Phases 1 and 2 and FreeDM.
  * Add myself to Uploaders, I am doing the QA anyway.
  * Document missing licenses in debian/copyright (Closes: #740602).
  * Add desktop and menu files and icons (Closes: #737860).

  [ Jonathan Dowland ]
  * Remove myself from uploaders.

  [ Vincent Cheng ]
  * Update to Standards version 3.9.5, no changes required.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 24 Mar 2014 09:46:25 +0100

doomsday (1.10.4-1) unstable; urgency=low

  * Team upload.
  * Set Maintainer: Debian Games Team and remove Uploaders: Kees Meijs
    (Closes: #708843).
  * Imported Upstream version 1.10.4 (Closes: #692095).
    + This version is able to run freedoom, so move this and
      alternative dependencies back from Suggests: to
      Recommends: (Closes: #661329 for real).
    + Fixes FTBFS with libpng (Closes: #650595).
    + Fixes FTBFS with -Werror=format-security (Closes: #646251).
  * debian/doomsday-compat: This script translates between the "-iwad" parameter
    as expected by vanilla Doom and the one expected by the Doomsday Engine.
    + Install as /usr/games/doomsday-compat.
    + Register as alternative for doom and boom in doomsday.{postinst,prerm}.
    + Add Provides: boom-engine, doom-engine to doomsday.
    + Add a native "freedoom" game mode.
  * Remove debian/README.source, we now ship the pristine tarball.
  * Fix installation directories.
  * Avoid installation of APT repository lists.
  * Remove debian/doomsday.6, install upstream manpage instead.
  * Convert to "3.0 (quilt)" source format.
  * Convert to debhelper 9 debian/rules format.
  * Convert to machine-readable debian/copyright format.
  * Fix spelling errors detected by lintian.
  * Remove useless Depends: timidity.
  * Build the fluidsynth plugin.
  * Update Build-Depends with libraries that we actually link against.
  * Run "wrap-and-sort -asb".
  * Install /etc/doomsday/paths to set a system-level iwaddir path.
  * Provide heretic-engine and hexen-engine, add the corresponding heretic-wad
    and hexen-wad to Recommends and register the corresponding alternatives.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 26 Aug 2013 14:57:22 +0200

doomsday (1.9.9+dfsg1-1) UNRELEASED; urgency=low

  * Upgrade to version 1.9.9. Closes: #692095.
  * Removed need for libpng altogether (comes with 1.9.9). Closes: #650595.

 -- Kees Meijs <post@keesmeijs.nl>  Mon, 05 Nov 2012 21:14:54 +0100

deng (1.9.0-beta6.9+dfsg1-3) UNRELEASED; urgency=low

  * Fixed compiler flags and altered text output. Closes: #646251.

 -- Kees Meijs <post@keesmeijs.nl>  Mon, 05 Nov 2012 14:57:15 +0100

deng (1.9.0-beta6.9+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Moving doom-wad from Recommends: to Suggests: (Closes: #661329).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Apr 2012 04:34:41 +0000

deng (1.9.0-beta6.9+dfsg1-2) unstable; urgency=low

  * Add a patch from Jamie Jones to fix a FTBFS. Closes: #622583.
  * Include the following changes from -1, which were
    accidentally omitted:
    * Patched dd_zone.c file as needed
    * Fixed paths in CMakeLists.txt file in order to reflect Debian policies.
  * Adjust debian/copyright to not trigger lintian warning about templates.
  * Split build into build arch/indep (more work to do here)
  * Bump standards version.
  * Tweak description to avoid description-synopsis-starts-with-article.

 -- Jon Dowland <jmtd@debian.org>  Mon, 26 Sep 2011 20:13:49 +0100

deng (1.9.0-beta6.9+dfsg1-1) unstable; urgency=low

  [ Kees Meijs ]
  * Initial release. Closes: #463002.
  * Patched dd_zone.c file as needed, mentioned on:
    http://dengine.net/dew/index.php?title=User_talk:Yagisan#svn_4165_dd_zone.c.
  * Fixed paths in CMakeLists.txt file in order to reflect Debian policies.
  * Cleaned up original sources (see README.source).

  [ Jon Dowland ]
  * add dversionmangle to watch file, to remove dfsg suffix

 -- Jon Dowland <jmtd@debian.org>  Tue, 08 Mar 2011 22:05:24 +0000

=== debian/control ===
Source: doomsday
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 libfluidsynth-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 libx11-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 python,
 qt4-qmake,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.dengine.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git

Package: doomsday
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad
Provides:
 boom-engine,
 doom-engine,
 heretic-engine,
 hexen-engine
Description: enhanced version of the legendary DOOM game
 The purpose of the Doomsday Engine project is to create versions of DOOM,
 Heretic and Hexen that feel the same as the original games but are implemented
 using modern techniques such as 3D graphics and client/server networking. A
 lot of emphasis is placed on good-looking graphics.
 .
 Doomsday Engine (or deng for short) requires an IWAD to play. You can install
 your commercial IWADs using game-data-packager.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
DENG_BUILD = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

debian/doomsday.xpm: snowberry/graphics/snowberry.png
	convert $^ -resize 32x32 $@

%:
	dh $@ \
		--parallel \
		--sourcedirectory=doomsday

override_dh_auto_configure:
	dh_auto_configure -- \
		CONFIG+=release \
		CONFIG+=deng_fluidsynth \
		CONFIG+=deng_nosnowberry \
		CONFIG+=deng_notools \
		DENG_BUILD=$(DENG_BUILD) \
		DENG_BIN_DIR=/usr/games \
		DENG_LIB_DIR=/usr/lib/doomsday \
		DENG_PLUGIN_LIB_DIR=/usr/lib/doomsday/plugins \
		DENG_BASE_DIR=/usr/share/doomsday

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/doomsday/etc/

override_dh_makeshlibs:
	dh_makeshlibs --exclude=/usr/lib/doomsday

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for devscripts >= 2.9
opts=dversionmangle=s/\+dfsg1// \
http://sf.net/deng/doomsday-(.*)\.tar\.gz

## doomsday 1.14.5

=== doomsday/doc/output/Makefile ===
readme_sources := $(wildcard ../readme/*.ame)
readme_main := ../readme/readme.ame

shell_sources := $(wildcard ../shell-text/*.ame)
shell_main := ../shell-text/shell-text.ame

sv_sources := $(wildcard ../server/*.ame)
sv_main := ../server/server.ame

.PHONY: wiki

all: doomsday.6 doomsday-server.6 doomsday-shell-text.6 Read\ Me.rtf readme.txt wiki

doomsday.6: $(readme_sources)
	amethyst -dMAN -dUNIX -odoomsday.6 $(readme_main)

Read\ Me.rtf: $(readme_sources)
	amethyst -dRTF -dMACOSX -oRead\ Me.rtf $(readme_main)

readme.txt: $(readme_sources)
	amethyst -dTXT -dWIN32 -dCR_NL -oreadme.txt $(readme_main)

doomsday-server.6: $(sv_sources)
	amethyst -dMAN -dUNIX -odoomsday-server.6 $(sv_main)

doomsday-shell-text.6: $(shell_sources)
	amethyst -dMAN -dUNIX -odoomsday-shell-text.6 $(shell_main)

wiki:
	python /Users/jaakko/Dropbox/Scripts/readme_to_wiki.py

clean:
	rm -f doomsday.6 Read\ Me.rtf readme.txt

=== debian/changelog ===
doomsday (1.14.5-2) unstable; urgency=medium

  * Update debian/copyrgiht.
  * Add some lintian overrides.
  * Fix /usr/lib installation path.
  * Add manpage for doomsday-compat.
  * Document persist.pack problem (closes: #786758).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 25 May 2015 21:17:56 +0000

doomsday (1.14.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Enable all build hardening flags.
  * Spelling correction patch now applied upstream.
  * Exclude some unused files from the upstream tarball.
  * Turn fullscreen antialiasing off by default (buggy in upstream 1.14).
  * Adopt the package (closes: #775830, 775928).
  * Correctly parse argument ordering (closes: #749723).
  * Install files into to FHS directories (closes: #783707).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 May 2015 19:02:31 +0000

=== debian/control ===
Source: doomsday
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <mgilbert@debian.org>
Build-Depends:
 debhelper (>= 9),
 libqt4-dev,
 libqt4-opengl-dev,
 libfluidsynth-dev,
 libsdl-mixer1.2-dev,
 libx11-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 python,
 qt4-qmake,
 zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://www.dengine.net
Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git

Package: doomsday
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fluid-soundfont-gm,
 freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
Provides:
 boom-engine,
 doom-engine,
 heretic-engine,
 hexen-engine,
Description: enhanced version of the legendary DOOM game
 The purpose of the Doomsday Engine project is to create versions of DOOM,
 Heretic and Hexen that feel the same as the original games but are implemented
 using modern techniques such as 3D graphics and client/server networking. A
 lot of emphasis is placed on good-looking graphics.
 .
 Doomsday Engine (or deng for short) requires an IWAD to play. You can install
 your commercial IWADs using game-data-packager.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --sourcedirectory=doomsday

override_dh_auto_configure:
	dh_auto_configure -- \
		CONFIG+=release \
		CONFIG+=deng_notools \
		CONFIG+=deng_fluidsynth \
		CONFIG+=deng_nosnowberry \
		DENG_BUILD=$(shell dpkg-parsechangelog -S Version) \

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# Find new files on sourceforge, for devscripts >= 2.9
http://sf.net/deng/doomsday-([\d.]+)\.tar\.gz

## doomsday 1.15.3

=== debian/changelog ===
doomsday (1.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Sep 2015 18:14:05 +0000

doomsday (1.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop support for armel and armhf.
  * Output data pack files into the build directory.
  * Use consistent permissions for files included in pack files.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 07 Jul 2015 14:41:15 +0000

doomsday (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove timestamp macros.
  * Replace more shared library exit calls.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 06 Jul 2015 19:01:53 +0000

doomsday (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright (closes: #790310).
  * Update debian/watch for new tarball naming scheme.
  * Use abort instead of exit for some of the shared library failure modes.
  * More robust doomsday-compat (closes: #787985, #788053, #788058, #789882).
    - Many thanks to Fabian Greffrath.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Jun 2015 19:51:14 +0000

doomsday (1.14.5-3) unstable; urgency=medium

  * Fix lintian warnings.
  * Fix some spelling errors.
  * Escape hyphens in manpages.
  * Split into separate binary packages.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 06 Jun 2015 04:32:31 +0000

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,33 @@
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ python,
+ qt4-qmake,
+ zlib1g-dev,
+ libassimp-dev,
  libqt4-dev,
  libqt4-opengl-dev,
  libfluidsynth-dev,
- libsdl-mixer1.2-dev,
+ libsdl2-mixer-dev,
  libx11-dev,
  libxrandr-dev,
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- python,
- qt4-qmake,
- zlib1g-dev,
 Standards-Version: 3.9.6
 Homepage: http://www.dengine.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git
 
 Package: doomsday
-Architecture: any
+Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ doomsday-data (>= ${source:Version}), doomsday-data (<< ${source:Version}.1~),
+ doomsday-common (>= ${source:Version}), doomsday-common (<< ${source:Version}.1~),
 Recommends:
  fluid-soundfont-gm,
- freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
 Provides:
  boom-engine,
  doom-engine,
@@ -43,3 +45,58 @@
  .
  Doomsday Engine (or deng for short) requires an IWAD to play. You can install
  your commercial IWADs using game-data-packager.
+
+Package: doomsday-server
+Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ doomsday-data (>= ${source:Version}), doomsday-data (<< ${source:Version}.1~),
+ doomsday-common (>= ${source:Version}), doomsday-common (<< ${source:Version}.1~),
+Replaces:
+ doomsday (<= 1.14.5-2),
+Breaks:
+ doomsday (<= 1.14.5-2),
+Description: enhanced version of the legendary DOOM game - server
+ The purpose of the Doomsday Engine project is to create versions of DOOM,
+ Heretic and Hexen that feel the same as the original games but are implemented
+ using modern techniques such as 3D graphics and client/server networking. A
+ lot of emphasis is placed on good-looking graphics.
+ .
+ This package contains the dedicated server.
+
+Package: doomsday-common
+Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ doomsday (<= 1.14.5-2),
+Breaks:
+ doomsday (<= 1.14.5-2),
+Description: enhanced version of the legendary DOOM game - common files
+ The purpose of the Doomsday Engine project is to create versions of DOOM,
+ Heretic and Hexen that feel the same as the original games but are implemented
+ using modern techniques such as 3D graphics and client/server networking. A
+ lot of emphasis is placed on good-looking graphics.
+ .
+ This package includes files common to both server and client packages.
+
+Package: doomsday-data
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
+Replaces:
+ doomsday (<= 1.14.5-2),
+Breaks: 
+ doomsday (<= 1.14.5-2),
+Description: enhanced version of the legendary DOOM game - data files
+ The purpose of the Doomsday Engine project is to create versions of DOOM,
+ Heretic and Hexen that feel the same as the original games but are implemented
+ using modern techniques such as 3D graphics and client/server networking. A
+ lot of emphasis is placed on good-looking graphics.
+ .
+ This package includes architecture-independent data files.

## doomsday 1.15.7

=== debian/changelog ===
doomsday (1.15.7-2) unstable; urgency=medium

  * Avoid gcc 5.3.1-4 (see: #809165).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 06:50:15 +0000

doomsday (1.15.7-1) unstable; urgency=medium

  * New upstream release.
    - Build failure fixed (closes: #809266).
    - Support for freedoom (drop freedoom.patch).
  * Add more spelling corrections.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 01:24:11 +0000

doomsday (1.15.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Nov 2015 19:36:05 +0000

doomsday (1.15.4-1) unstable; urgency=medium

  * New upstream release.
  * Use deterministic timestamps in zip files.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Oct 2015 00:55:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ strip-nondeterminism,
  python,
  qt4-qmake,
  zlib1g-dev,
@@ -18,6 +19,7 @@
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
+ gcc-5 (<< 5.3.1-4) | gcc-5 (>> 5.3.1-4 ),
 Standards-Version: 3.9.6
 Homepage: http://www.dengine.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

CONFFLAGS=CONFIG+=release \
          CONFIG+=deng_notools \
          CONFIG+=deng_fluidsynth \
          CONFIG+=deng_nosnowberry \
          DENG_BUILD=$(shell dpkg-parsechangelog -S Version) \

%:
	dh $@ --parallel --sourcedirectory=doomsday

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_install:
	strip-nondeterminism -t zip debian/tmp/usr/share/games/doomsday/data/*.pack
	dh_install

## doomsday 1.15.8

=== doomsday/build/mac/Makefile ===
.PHONY : fonts

FONT_DEST=../Data/Fonts

fonts:
	./createfont_osx.py "Gill Sans" 12 256 ${FONT_DEST}/normal12.dfn
	./createfont_osx.py "Gill Sans" 18 256 ${FONT_DEST}/normal18.dfn
	./createfont_osx.py "Gill Sans" 24 256 ${FONT_DEST}/normal24.dfn
	./createfont_osx.py "Gill Sans Bold" 12 256 ${FONT_DEST}/normalbold12.dfn
	./createfont_osx.py "Gill Sans Bold" 18 256 ${FONT_DEST}/normalbold18.dfn
	./createfont_osx.py "Gill Sans Bold" 24 256 ${FONT_DEST}/normalbold24.dfn
	./createfont_osx.py "Gill Sans Light" 12 256 ${FONT_DEST}/normallight12.dfn
	./createfont_osx.py "Gill Sans Light" 18 256 ${FONT_DEST}/normallight18.dfn
	./createfont_osx.py "Gill Sans Light" 24 256 ${FONT_DEST}/normallight24.dfn
	./createfont_osx.py "Andale Mono" 11 256 ${FONT_DEST}/console11.dfn
	./createfont_osx.py "Andale Mono" 14 256 ${FONT_DEST}/console14.dfn
	./createfont_osx.py "Andale Mono" 18 256 ${FONT_DEST}/console18.dfn

=== debian/changelog ===
doomsday (1.15.8-5build1) bionic; urgency=medium

  * No-change rebuild against latest assimp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Nov 2017 18:58:04 -0500

doomsday (1.15.8-5) unstable; urgency=medium

  * Team upload.
  * Add mo-thinker-NULL-pointer.patch and fix another segfault.
    Thanks to Hans Joachim Desserud for the report and Bernhard Übelacker for
    the patch. (Closes: #863536)
  * Make the build reproducible. Thanks to Chris Lamb for the report and patch.
    (Closes: #858333)

 -- Markus Koschany <apo@debian.org>  Thu, 01 Jun 2017 23:42:23 +0200

doomsday (1.15.8-4) unstable; urgency=medium

  * Team upload.
  * Add Node-parent-NULL-pointer.patch and fix startup crash.
    Thanks to Bernhard Übelacker for the patch. (Closes: #847651)

 -- Markus Koschany <apo@debian.org>  Tue, 23 May 2017 15:08:36 +0200

doomsday (1.15.8-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Remove --parallel option because we use compat 10 already.
  * Remove override for dh_install and do not call strip-nondeterminism
    manually. Let debhelper handle this task automatically. (Closes: #839338)
  * Vcs: Switch to cgit and https.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Oct 2016 18:15:23 +0200

doomsday (1.15.8-2) unstable; urgency=medium

  * Convert to debhelper 10.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Sep 2016 02:15:11 +0000

doomsday (1.15.8-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian override.
  * Increase standards version.
  * Build with gcc 6 (closes: #835945).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2016 23:47:19 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
- debhelper (>= 9),
- strip-nondeterminism,
+ gcc (>= 6),
+ debhelper (>= 10),
  python,
  qt4-qmake,
  zlib1g-dev,
@@ -19,11 +19,10 @@
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- gcc-5 (<< 5.3.1-4) | gcc-5 (>> 5.3.1-4 ),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.dengine.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/deng.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/deng.git
 
 Package: doomsday
 Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
@@ -93,7 +92,7 @@
  freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
 Replaces:
  doomsday (<= 1.14.5-2),
-Breaks: 
+Breaks:
  doomsday (<= 1.14.5-2),
 Description: enhanced version of the legendary DOOM game - data files
  The purpose of the Doomsday Engine project is to create versions of DOOM,

=== debian/watch ===
version=3
http://sf.net/deng/doomsday-stable-([\d.]+)\.tar\.gz

## doomsday 2.2.2%2Bds1

=== doomsday/apps/plugins/hexen/CMakeLists.txt ===
# The Doomsday Engine Project
# Copyright (c) 2015-2017 Jaakko Keränen <jaakko.keranen@iki.fi>

cmake_minimum_required (VERSION 3.1)
project (DENG_HEXEN)
set (DENG_ENABLE_PK3S ON) # uses the legacy libdoom.pk3
include (../PluginConfig.cmake)
include (../common/Common.cmake)

add_definitions (
    -D__JHEXEN__=1
    -DLIBDOOMSDAY_CUSTOM_MOBJ=1
)

include_directories (include)
file (GLOB_RECURSE SOURCES include/*.h)
file (GLOB SOURCES src/*.c src/*.cpp)
deng_merge_sources (hud_widgets src/hud/widgets/*.cpp)

deng_find_resources (libhexen.pk3)

deng_add_plugin (hexen ${SOURCES} ${COMMON_SOURCES})

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,31 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
- gcc (>= 6),
- debhelper (>= 10),
- python,
- qt4-qmake,
+ cmake,
+ debhelper-compat (= 12),
+ python3:any,
+ qtbase5-dev,
  zlib1g-dev,
  libassimp-dev,
- libqt4-dev,
- libqt4-opengl-dev,
  libfluidsynth-dev,
+ libncurses-dev,
  libsdl2-mixer-dev,
  libx11-dev,
  libxrandr-dev,
  libxxf86vm-dev,
+ libqt5opengl5-desktop-dev,
+ libqt5x11extras5-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
-Standards-Version: 3.9.8
-Homepage: http://www.dengine.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/deng.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/deng.git
+ libminizip-dev,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.dengine.net
+Vcs-Git: https://salsa.debian.org/games-team/deng.git
+Vcs-Browser: https://salsa.debian.org/games-team/deng
 
 Package: doomsday
-Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -48,7 +51,7 @@
  your commercial IWADs using game-data-packager.
 
 Package: doomsday-server
-Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -67,7 +70,7 @@
  This package contains the dedicated server.
 
 Package: doomsday-common
-Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -85,6 +88,7 @@
 
 Package: doomsday-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/watch ===
version=4
opts="dversionmangle=auto" \
 https://files.dengine.net/archive/ doomsday-([\d.]+)@ARCHIVE_EXT@ debian uupdate
